View Issue Details

IDProjectCategoryView StatusLast Update
0005315Talerexchangepublic2021-09-02 18:14
ReporterFlorian Dold Assigned ToChristian Grothoff  
PriorityhighSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.5 
Target Version0.6Fixed in Version0.6 
Summary0005315: re-enable, fix and properly test /keys cherry picking
DescriptionIt eventually recovers due to automatic restarting, but sometimes crashes:

Assertion failed at exchange_api_handle.c:871
TagsNo tags attached.

Activities

Christian Grothoff

2018-09-15 22:20

manager   ~0013231

Should be fixed in 46e4ea69..528faeab

Christian Grothoff

2021-09-02 18:14

manager   ~0018282

Fix committed to master branch.

Related Changesets

exchange: master 528faeab

2018-09-15 22:20:07

Christian Grothoff

Details Diff
fix 0005315, including more testing Affected Issues
0005315
mod - src/exchange-lib/Makefile.am Diff File
mod - src/exchange-lib/exchange_api_handle.c Diff File
rm - src/exchange-lib/test_exchange_api.c Diff File
rm - src/exchange-lib/test_exchange_api_keys_cherry_picking.c Diff File
mod - src/exchange-lib/test_exchange_api_keys_cherry_picking.conf Diff File
mod - src/exchange-lib/test_exchange_api_keys_cherry_picking_new.c Diff File
mod - src/exchange-lib/testing_api_cmd_check_keys.c Diff File
mod - src/exchange-tools/taler-exchange-keyup.c Diff File
mod - src/exchange/taler-exchange-httpd_keystate.c Diff File
mod - src/include/taler_exchange_service.h Diff File

Issue History

Date Modified Username Field Change
2018-04-05 22:46 Florian Dold New Issue
2018-04-05 22:46 Florian Dold Status new => assigned
2018-04-05 22:46 Florian Dold Assigned To => Christian Grothoff
2018-09-15 22:20 Christian Grothoff Status assigned => resolved
2018-09-15 22:20 Christian Grothoff Resolution open => fixed
2018-09-15 22:20 Christian Grothoff Fixed in Version => 0.6
2018-09-15 22:20 Christian Grothoff Note Added: 0013231
2019-12-20 19:12 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 528faeab
2021-09-02 18:14 Christian Grothoff Note Added: 0018282